org.apache.maven.scm.provider.local.command.update

## Class LocalUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.provider.local.command.update.LocalUpdateScmResult

All Implemented Interfaces:
  Serializable

    public class LocalUpdateScmResult
    extends UpdateScmResult

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`LocalUpdateScmResult(String commandLine, List<ScmFile> files)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

`getChanges, getUpdatedFiles, setChanges`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalUpdateScmResult

    public LocalUpdateScmResult(String commandLine,
                                List<ScmFile> files)